List connected Composio integrations
curl --request GET \
--url https://www.dench.com/api/v1/integrations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ca_github01",
"connectionId": "ca_github01",
"toolkit": {
"slug": "github",
"name": "GitHub"
},
"status": "ACTIVE",
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-06-01T12:00:00.000Z",
"account": {
"stableId": "octocat",
"label": "octocat",
"email": "octo@github.com"
}
}
],
"connections": [
{
"id": "ca_github01",
"connectionId": "ca_github01",
"toolkit": {
"slug": "github",
"name": "GitHub"
},
"status": "ACTIVE",
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-06-01T12:00:00.000Z",
"account": {
"stableId": "octocat",
"label": "octocat",
"email": "octo@github.com"
}
}
],
"raw": []
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}gateway
List connected Composio integrations
List connected Composio integrations.
GET
/
integrations
List connected Composio integrations
curl --request GET \
--url https://www.dench.com/api/v1/integrations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ca_github01",
"connectionId": "ca_github01",
"toolkit": {
"slug": "github",
"name": "GitHub"
},
"status": "ACTIVE",
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-06-01T12:00:00.000Z",
"account": {
"stableId": "octocat",
"label": "octocat",
"email": "octo@github.com"
}
}
],
"connections": [
{
"id": "ca_github01",
"connectionId": "ca_github01",
"toolkit": {
"slug": "github",
"name": "GitHub"
},
"status": "ACTIVE",
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-06-01T12:00:00.000Z",
"account": {
"stableId": "octocat",
"label": "octocat",
"email": "octo@github.com"
}
}
],
"raw": []
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
⌘I